Subject: bug#36803: 27.0.50; Update mode-line of every window when compilation ends

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 26 Jul 2019 23:26:58 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> (Another issue is whether compile.el should [display things in mode
> lines in all buffers], and I kinda think...  perhaps not?)

Mmm, I guess the rationale is that since

1. the user may bury the compilation buffer if the process takes a long
   time,

2. the user may miss the "Compilation finished" message (e.g. it can be
   hidden by any movement command that triggers a "Mark set" message),

The only reliable way to inform the user that the compilation process is
still running is to spray all mode-lines with an indicator…

(I have notifications-notify in compilation-finish-functions, so as far
as I am concerned, I could live without this indicator; for a stock
Emacs configuration though, I can't think of another signaling method…)